# maxDataSize

Sets the max message size the RELP listener accepts before oversize handling.

This parameter applies to imrelp: RELP Input Module.

Name:

  maxDataSize

Scope:

  input

Type:

  size_nbr

Default:

  input=:doc:global(maxMessageSize) <../../rainerscript/global>

Required?:

  no

Introduced:

  Not documented

## Description

Sets the max message size (in bytes) that can be received. Messages that are too long are handled as specified in parameter oversizeMode. Note that maxDataSize cannot be smaller than the global parameter global(maxMessageSize).

## Input usage

    input(type="imrelp" port="2514" maxDataSize="10k")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.